summaryrefslogtreecommitdiffstats
path: root/games/icebreaker
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:23 +0200
commit20eb94d46acb721b51a2d2ce0520578f9b76bb2c (patch)
treec3b3de5615c9a9e48e77cf757e2485ab114e0491 /games/icebreaker
parentc068d7ff523babc1fa8a1a21d479e7fb7025539d (diff)
downloadslackbuilds-20eb94d46acb721b51a2d2ce0520578f9b76bb2c.tar.gz
slackbuilds-20eb94d46acb721b51a2d2ce0520578f9b76bb2c.tar.xz
games/icebreaker: Added to 12.2 repository
Diffstat (limited to 'games/icebreaker')
-rw-r--r--games/icebreaker/README4
-rw-r--r--games/icebreaker/doinst.sh3
-rw-r--r--games/icebreaker/icebreaker.SlackBuild71
-rw-r--r--games/icebreaker/icebreaker.desktop8
-rw-r--r--games/icebreaker/icebreaker.info8
-rw-r--r--games/icebreaker/slack-desc19
6 files changed, 113 insertions, 0 deletions
diff --git a/games/icebreaker/README b/games/icebreaker/README
new file mode 100644
index 0000000000..a75d5cb95e
--- /dev/null
+++ b/games/icebreaker/README
@@ -0,0 +1,4 @@
+icebreaker - A Jezzball-like game for Linux, with a penguin theme
+
+The binary is installed setgid games: not a serious security risk, but
+something to be aware of, if you're paranoid.
diff --git a/games/icebreaker/doinst.sh b/games/icebreaker/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/games/icebreaker/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/games/icebreaker/icebreaker.SlackBuild b/games/icebreaker/icebreaker.SlackBuild
new file mode 100644
index 0000000000..7442c31fc7
--- /dev/null
+++ b/games/icebreaker/icebreaker.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for icebreaker
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=icebreaker
+VERSION=${VERSION:-1.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+make \
+ prefix=/usr \
+ mandir=/usr/man \
+ highscoredir=/var/state/$PRGNAM \
+ OPTIMIZE="$SLKCFLAGS"
+
+strip $PRGNAM
+make install \
+ prefix=$PKG/usr \
+ mandir=$PKG/usr/man \
+ highscoredir=$PKG/var/state/$PRGNAM
+
+# We prefer the binary to live in /usr/games
+mv $PKG/usr/bin $PKG/usr/games
+
+sed -i -e "s,/var/lib/games,/var/state/$PRGNAM," $PKG/usr/man/man6/$PRGNAM.6
+gzip -9 $PKG/usr/man/man6/$PRGNAM.6
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ChangeLog LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps
+convert ${PRGNAM}_48.bmp $PRGNAM.xpm
+cp $PRGNAM.xpm $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/icebreaker/icebreaker.desktop b/games/icebreaker/icebreaker.desktop
new file mode 100644
index 0000000000..df1f6f3273
--- /dev/null
+++ b/games/icebreaker/icebreaker.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=IceBreaker
+Exec=icebreaker
+Type=Application
+Icon=icebreaker
+GenericName=IceBreaker
+Categories=Game;Arcade;
diff --git a/games/icebreaker/icebreaker.info b/games/icebreaker/icebreaker.info
new file mode 100644
index 0000000000..ee38d1ea4e
--- /dev/null
+++ b/games/icebreaker/icebreaker.info
@@ -0,0 +1,8 @@
+PRGNAM="icebreaker"
+VERSION="1.2.1"
+HOMEPAGE="http://mattdm.org/icebreaker/"
+DOWNLOAD="http://mattdm.org/icebreaker/1.2.x/icebreaker-1.2.1.tgz"
+MD5SUM="9453119cf3342a8828e4805c0c49be50"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/icebreaker/slack-desc b/games/icebreaker/slack-desc
new file mode 100644
index 0000000000..4d7e19d509
--- /dev/null
+++ b/games/icebreaker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+icebreaker: icebreaker (A Jezzball-like game for Linux, with a penguin theme)
+icebreaker:
+icebreaker: So, uh, there's a bunch of penguins on an iceberg in Antarctica. You
+icebreaker: have been selected to catch them so they can be shipped to Finland,
+icebreaker: where they are essential to a secret plot for world domination.
+icebreaker:
+icebreaker:
+icebreaker:
+icebreaker:
+icebreaker:
+icebreaker: